%define snapdate 20060825
%define snapshot 0%{?snapdate:1}

Name:		scim-sinhala
Version:	0.2.0
Release:	6%{?dist}
Summary:	Sri Lankan input method for SCIM

Group:		System Environment/Libraries
License:	GPLv2
URL:		http://sinhala.sourceforge.net/
Source:		http://sinhala.cvs.sourceforge.net/sinhala/sinhala/scim/trans/%{name}-trans-%{version}%{?snapdate:-%{snapdate}}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
%if %{snapshot}
Buildrequires:  autoconf, automake, libtool
%endif
BuildRequires:	scim-devel
Requires:	scim
Patch1:		scim-sinhala-trans-autogen-automake.patch
Patch2:		scim-sinhala-remove-timeout-206253.patch
Patch3:		scim-sinhala-help-text-206114.patch
Patch4:		scim-sinhala-preedit-217065.patch
%description
This package provides a Sinhala Trans input method for SCIM.


%prep
%setup -q %{?snapdate:-n %{name}-trans-%{version}-%{snapdate}}
%patch1 -p1 -b .1-automake17
%patch2 -p1 -b .2-timeout
%patch3 -p1 -b .3-help
%patch4 -p1 -b .4-preedit
%if %{snapshot}
./autogen.sh
%endif


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{_libdir}/scim-1.0/*/*/*.la


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root, -)
%doc README AUTHORS COPYING
%{_libdir}/scim-1.0/*/IMEngine/sinhala.so
%{_datadir}/scim/icons/scim-sinhala.png


%changelog
* Mon Feb 11 2008 Pravin Satpute <psatpute@redhat.com> - 0.2.0-6
- Rebuild for gcc 4.3

* Tue Jan 08 2008 Pravin Satpute <psatpute@redhat.com> - 0.2.0-5.fc9
- removed preedit for unneccessary characters(#217065)
- modified scim-sinhala-preedit-217065.patch

* Fri Dec 14 2007 Pravin Satpute <psatpute@redhat.com> - 0.2.0-4.fc9
- implemented preedit in scim sinhala(#217065)

* Wed Aug 22 2007 Parag Nemade <pnemade@redhat.com> - 0.2.0-3
- rebuild against new rpm package
- update license tag

* Thu Sep 28 2006 Jens Petersen <petersen@redhat.com> - 0.2.0-2
- add scim-sinhala-remove-timeout-206253.patch to remember previous key event
  for longer than a second (#206253)
- add scim-sinhala-help-text-206114.patch to add some keymap help (#206114)

* Mon Aug 28 2006 Jens Petersen <petersen@redhat.com> - 0.2.0-1
- update to scim-sinhala-trans 0.2.0 from new upstream cvs
- no longer uses surrounding text (#200403)
- update url and spec file
- add scim-sinhala-trans-autogen-automake.patch to build with current automake

* Wed Jul 26 2006 Jens Petersen <petersen@redhat.com> - 0.1.0-3
- remove redundant po files

* Wed Jul 26 2006 Jens Petersen <petersen@redhat.com> - 0.1.0-2
- add .so suffix to IME module filename

* Wed Jul 26 2006 Jens Petersen <petersen@redhat.com> - 0.1.0-1
- package for Fedora

* Thu Sep  8 2005 Jens Petersen <petersen@redhat.com> - 0.0.0-0
- initial packaging
